<!DOCTYPE html>
<html>
  <head>
    <title>Hexy Mapper Thinger</title>
    <style>
      body {
        font-family: sans-serif;
        background-color: #333;
        margin: 0;
        padding: 0;
      }
      #world {
        position: absolute;
        margin: auto;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
      }
      .panel {
        position: absolute;
        margin: auto;
        top: 1em;
        bottom: 1em;
        width: 15%;
        color: #fff;
        background-color: rgba(100, 100, 100, .7);
        border: 1px solid #333;
        padding: 1em;
        border-radius: .5em;
      }
      .panel.right {
        right: 1em;
      }
      .panel.left {
        left: 1em;
      }
      .key {
        display: table;
        border-spacing: .5em;
      }
      .key .chip {
        display: table-cell;
        width: 2em;
        border: 1px solid #000;
      }
      .key .value {
        display: table-cell;
      }
      .clicky {
        cursor: pointer;
      }
      code {
        color: #ffd1a2;
      }
      small {
        opacity: .5;
      }
    </style>
  </head>
  <body>
    <canvas id='world' width="800" height="600"></canvas>

    <div class="panel left">
      <h3>Hex Type</h3>
      <div class="key clicky" onclick="world.setBrush('type', 'field')">
        <div class="chip" style="background-color:#acc76a;"></div>
        <div class="value">field</div>
      </div>
      <div class="key clicky" onclick="world.setBrush('type', 'forest')">
        <div class="chip" style="background-color:#4c9044;"></div>
        <div class="value">forest</div>
      </div>
      <div class="key clicky" onclick="world.setBrush('type', 'water')">
        <div class="chip" style="background-color:#4f6ead;"></div>
        <div class="value">water</div>
      </div>
      <div class="key clicky" onclick="world.setBrush('type', 'desert')">
        <div class="chip" style="background-color:#e0cb80;"></div>
        <div class="value">desert</div>
      </div>
      <div class="key clicky" onclick="world.setBrush('type', 'rocky')">
        <div class="chip" style="background-color:#a5866a;"></div>
        <div class="value">rocky</div>
      </div>
      <div class="key clicky" onclick="world.setBrush('type', 'mountain')">
        <div class="chip" style="background-color:#a95a22;"></div>
        <div class="value">mountain</div>
      </div>
      <div class="key clicky" onclick="world.setBrush('type', 'empty')">
        <div class="chip" style="background-color:#111116;"></div>
        <div class="value">empty</div>
      </div>
      <hr />
      <p>
        Pick a color from the menu then click an area to add it
        to the map.
      </p>
      <p>
        Use <code>world.export()</code> and <code>world.import(...)</code>
        in your browser's script console to save or recover drawings. You
        can also just inspect the <code>world</code> object to see what else
        is there.
      </p>
      <p><small>
        This is just intended to be a rough proof of concept with very
        few features and minimal UI.</small>
      </p>
    </div>

    <script type="text/javascript" src="/bundle.js"></script>
  </body>
</html>
